# Note that this is NOT a relocatable package

%define glib2_base_version 2.2.0
%define glib2_version %{glib2_base_version}-1
%define pango_base_version 1.2.0
%define pango_version %{pango_base_version}-3
%define atk_base_version 1.0.0
%define atk_version %{atk_base_version}-1
%define libpng_version 2:1.2.2-16

%define base_version 2.2.2
%define bin_version 2.2.0

Summary: Text console port of The GIMP ToolKit (GTK+), based on ncurses.
Name: gtk2-cursed
Version: %{base_version}
Release: 1
License: LGPL
Group: System Environment/Libraries
Source: gtk+-cursed-%{version}.tar.gz

BuildPrereq: atk-devel >= %{atk_version}
BuildPrereq: pango-devel >= %{pango_version}
BuildPrereq: glib2-devel >= %{glib2_version}
BuildPrereq: libtiff-devel
BuildPrereq: libjpeg-devel
BuildPrereq: libpng-devel >= %{libpng_version}
BuildPrereq: /usr/bin/automake-1.4

BuildPrereq: ncurses-devel
BuildPrereq: gpm-devel

BuildRoot: %{_tmppath}/gtk-%{PACKAGE_VERSION}-root
#Obsoletes: gtk+-gtkbeta
#Obsoletes: Inti

URL: http://www.gtk.org

# We need to prereq these so we can run gtk-query-immodules-2.0
Prereq: glib2 >= %{glib2_version}
Prereq: atk >= %{atk_version}
Prereq: pango >= %{pango_version}

%define _unpackaged_files_terminate_build      1
%define _missing_doc_files_terminate_build     1


%description
GTK+ is a multi-platform toolkit for creating graphical user
interfaces. Offering a complete set of widgets, GTK+ is suitable for
projects ranging from small one-off tools to complete application
suites.

%package devel
Summary: Development tools for cursed GTK+
Group: Development/Libraries
Requires: gtk2-cursed = %{version}
Requires: pango-devel >= %{pango_version}
Requires: atk-devel >= %{atk_version}
Requires: glib2-devel >= %{glib2_version}
#Requires: XFree86-devel
#Obsoletes: gtk+-gtkbeta-devel
#Obsoletes: Inti-devel
## avoid header collisions
#Conflicts: gtk+-devel <= 1.2.8
#Conflicts: gdk-pixbuf-devel <= 0.11

%description devel
The gtk+-cursed-devel package contains the header files for the cursed 
port of GTK+ widget toolkit.  

%prep
%setup -q -n gtk+-cursed-%{version}

for i in config.guess config.sub ; do
	test -f %{_datadir}/libtool/$i && cp %{_datadir}/libtool/$i .
done

%build

if ! pkg-config --exists pangoxft ; then
        echo "No pangoxft.pc!"
        exit 1
fi

%configure --disable-gtk-doc --with-gdktarget=cursed

## smp_mflags doesn't work for now due to gdk-pixbuf.loaders, may be fixed 
## past gtk 2.1.2
make ## %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall RUN_QUERY_IMMODULES_TEST=false RUN_QUERY_LOADER_TEST=false

#%find_lang gtk20

./mkinstalldirs $RPM_BUILD_ROOT%{_sysconfdir}/gtk-cursed-2.0
#
# Make cleaned-up versions of examples and tutorial for installation
#
#./mkinstalldirs tmpdocs/tutorial
# install -m 0644 docs/html/gtk_tut.html docs/html/gtk_tut-[0-9]*.html docs/html/*.gif tmpdocs/tutorial
#for dir in examples/* ; do
#    if [ -d $dir ] ; then
#       ./mkinstalldirs tmpdocs/$dir
#       for file in $dir/* ; do
#          case $file in
#	     *pre1.2.7)
#	        ;;
#	     *)
#                install -m 0644 $file tmpdocs/$dir
#		;;
#	  esac
#       done
#    fi
#done

# Install the demo programs
#cd tests
#../libtool --mode=install install testgtk $RPM_BUILD_ROOT%{_bindir}
#../libtool --mode=install install testtext $RPM_BUILD_ROOT%{_bindir}

# Remove unpackaged files
rm $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
umask 022
%{_bindir}/gtk-cursed-query-immodules-2.0 > %{_sysconfdir}/gtk-cursed-2.0/gtk.immodules
%{_bindir}/gdk-pixbuf-query-loaders > %{_sysconfdir}/gtk-cursed-2.0/gdk-pixbuf.loaders

%postun
/sbin/ldconfig
if [ $1 = 0 ] ; then
	/bin/rm -f %{_sysconfdir}/gtk-cursed-2.0/gtk.immodules
	/bin/rm -f %{_sysconfdir}/gtk-cursed-2.0/gdk-pixbuf.loaders
fi

%files 
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
#%{_bindir}/testtext
#%{_bindir}/testgtk
%{_bindir}/gtk-cursed-demo
#%{_bindir}/gdk-pixbuf-query-loaders
%{_bindir}/gtk-cursed-query-immodules-2.0
%{_libdir}/libgtk-cursed-2.0.so.*
%{_libdir}/libgdk-cursed-2.0.so.*
%{_libdir}/libgdk_cursed_pixbuf-2.0.so.*
#%{_libdir}/libgdk_pixbuf_xlib-2.0.so.*
%dir %{_libdir}/gtk-cursed-2.0
%{_libdir}/gtk-cursed-2.0/%{bin_version}
%{_datadir}/gtk-cursed-2.0
%dir %{_sysconfdir}/gtk-cursed-2.0

%files devel
%defattr(-, root, root)

%{_libdir}/lib*.so
%dir %{_libdir}/gtk-cursed-2.0
%{_libdir}/gtk-cursed-2.0/include
#%{_datadir}/gtk-doc/
#%{_mandir}/man1/*
%{_includedir}/*
%{_datadir}/aclocal/*
#%{_bindir}/gdk-pixbuf-csource
%{_libdir}/pkgconfig/*
#%doc tmpdocs/tutorial
#%doc tmpdocs/examples

%changelog
* Tue Jul 15 2003 Johanka <johanka@root.cz>
- built
  
